/*******************************************************************************
** Document: xmgr_proc_fun.h
** Copyright (c) 2004 R&D Center, Tailyn Communication Company, Ltd.  
** Created by: Chien Chung Lo
** Date: Jan. 26, 2005
** Description: XDSL process function.
** Version: 0.1
*******************************************************************************/
#ifndef _XMGR_PROC_FUN_H_
#define _XMGR_PROC_FUN_H_

#include "umap_type.h"
#include "umap_cmd.h"
#include "msgqueue.h"
//----------------------------------------------------------------------
// mm
UMAP_S32 SetAccessCardResetFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);

// cm
UMAP_S32 SetXdslLineConfFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);

UMAP_S32 GetXdslXturInventoryFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslXtucInventoryFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslLineOperDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndLineOperDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslChannelOperDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndChannelOperDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 SetXdslLineCarrierDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndLineCarrierDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslLineFailureStatusFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndLineFailureStatusFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslTestFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslXtucSeltDataFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
//pm
//UMAP_S32 XdslLineTcaThresholdFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslLineCurrentIntervalFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndLineCurrentIntervalFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslChannelIntervalFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndChannelIntervalFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslLineCurrent1DayFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndLineCurrent1DayFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslChannel1DayFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
UMAP_S32 GetXdslFarEndChannel1DayFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
//mm
//UMAP_S32 XdslUnitLedFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
//UMAP_S32 XdslChlLedFun(UMAP_Msg* pMsg,UMAP_Msg* ret_pMsg);
//----------------------------------------------------------------------
#endif // _XMGR_PROC_FUN_H_



















